발신번호 상태 변경
작성일 2026.03.17 | 수정일 2026.03.25
PUT
/senderid/v1/numbers/:phoneNumberParameters
phoneNumber— 상태를 변경할 발신번호
발신번호의 상태를 ACTIVE에서 INACTIVE로, 또는 INACTIVE에서 ACTIVE로 변경합니다.
Body Params
Response
Structure
Request
{
"phoneNumber": "01012345678",
"documentList": {
"certificateDocument": [
"DOC_abc123"
],
"employmentCertificate": "DOC_def456"
}
}
Response
{
"accountId": "12345678901234",
"limit": 5,
"senderIds": [
{
"handleKey": "SID_abc123",
"phoneNumber": "01012345678",
"status": "PENDING",
"method": null,
"expireAt": null,
"autoExtension": true,
"necessaryMeasures": [
"BUSINESS_DOCUMENTS"
],
"consignment": false,
"approvalDocuments": [
{
"approvalId": "APR_abc123",
"status": "PENDING",
"reason": null,
"documentList": {
"certificateDocument": [
"DOC_abc123"
],
"employmentCertificate": "DOC_def456"
},
"consignmentDocumentList": null,
"dateCreated": "2024-07-01T12:00:00.000Z",
"dateUpdated": "2024-07-01T12:00:00.000Z"
}
],
"unlockDuplicate": null,
"dateCreated": "2024-07-01T12:00:00.000Z",
"dateUpdated": "2024-07-01T12:00:00.000Z"
}
],
"limitationDocuments": [],
"dateCreated": "2024-01-01T00:00:00.000Z",
"dateUpdated": "2024-07-01T12:00:00.000Z"
}